{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block title %}{{ project.name }} {{ parent() }}{% endblock %}

{% block content %}
    {% embed 'dashboard/project/_component/project_nav.html.twig' %}{% endembed %}

    {% block content_project %}{% endblock %}
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal Update Property -->
    <div class="modal fade" id="updateProjectModal" tabindex="-1" role="dialog" aria-labelledby="updateProjectModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="updateProjectModalLabel">Update the project: {{ project.name }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formUpdateProject) }}
                <div class="modal-body">
                    <div class="form-group">
                        {{ form_label(formUpdateProject.name) }}
                        {{ form_widget(formUpdateProject.name) }}
                    </div>

                    <div class="form-group">
                        {{ form_label(formUpdateProject.strategy) }}
                        {{ form_widget(formUpdateProject.strategy) }}
                    </div>

                    <div class="form-group">
                        {{ form_label(formUpdateProject.address.line1) }}
                        {{ form_widget(formUpdateProject.address.line1) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(formUpdateProject.address.line2) }}
                        {{ form_widget(formUpdateProject.address.line2) }}
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            {{ form_label(formUpdateProject.address.city) }}
                            {{ form_widget(formUpdateProject.address.city) }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form_label(formUpdateProject.address.state) }}
                            {{ form_widget(formUpdateProject.address.state) }}
                        </div>
                        <div class="form-group col-md-2">
                            {{ form_label(formUpdateProject.address.postalCode) }}
                            {{ form_widget(formUpdateProject.address.postalCode) }}
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Update the project</button>
                </div>
                {{ form_end(formUpdateProject) }}
            </div>
        </div>
    </div>

    <!-- Modal Archive Property -->
    <div class="modal fade" id="archiveProjectModal" tabindex="-1" role="dialog" aria-labelledby="archiveProjectModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="archiveProjectModalLabel">Are you sure ?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formArchiveProject) }}
                <div class="modal-body">
                    <h6 class="mb-4 font-weight-light">
                        Project named "<span class="font-italic">{{ project.name }}</span>" is about to be archive.
                    </h6>
                    <div class="alert alert-outline alert-warning" role="alert">
                        <i data-feather="alert-triangle" class="mr-2"></i>
                        <small class="font-weight-">
                            When a project is archived, no modifications will be allowed. The project will be in read-only.
                            If needed, you can always reactivate your project later.<br /><br />
                            Are you sure you want to archive this project?
                        </small>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Archive the project</button>
                </div>
                {{ form_end(formArchiveProject) }}
            </div>
        </div>
    </div>
{% endblock %}